Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Encryption.PkzipClassicDecryptCryptoTransform Class Reference

PkzipClassic CryptoTransform for decryption. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Encryption.PkzipClassicDecryptCryptoTransform:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Encryption.PkzipClassicDecryptCryptoTransform:
[legend]

## Public Member Functions
byte[] | TransformFinalBlock (byte[] inputBuffer, int inputOffset, int inputCount)
| Transforms the specified region of the specified byte array.
int | TransformBlock (byte[] inputBuffer, int inputOffset, int inputCount, byte[] outputBuffer, int outputOffset)
| Transforms the specified region of the input byte array and copies the resulting transform to the specified region of the output byte array.
void | Dispose ()
| Cleanup internal state.

## Package Functions
| PkzipClassicDecryptCryptoTransform (byte[] keyBlock)
| Initialise a new instance of PkzipClassicDecryptCryptoTransform.

## Properties
bool | CanReuseTransform`[get]`
| Gets a value indicating whether the current transform can be reused.
int | InputBlockSize`[get]`
| Gets the size of the input data blocks in bytes.
int | OutputBlockSize`[get]`
| Gets the size of the output data blocks in bytes.
bool | CanTransformMultipleBlocks`[get]`
| Gets a value indicating whether multiple blocks can be transformed.

## Additional Inherited Members
Protected Member Functions inherited from ICSharpCode.SharpZipLib.Encryption.PkzipClassicCryptoBase
byte | TransformByte ()
| Transform a single byte.
void | SetKeys (byte[] keyData)
| Set the key schedule for encryption/decryption.
void | UpdateKeys (byte ch)
| Update encryption keys.
void | Reset ()
| Reset the internal state.

## Detailed Description

PkzipClassic CryptoTransform for decryption.

## Constructor & Destructor Documentation

## ◆ PkzipClassicDecryptCryptoTransform()

ICSharpCode.SharpZipLib.Encryption.PkzipClassicDecryptCryptoTransform.PkzipClassicDecryptCryptoTransform | ( | byte[] | keyBlock | ) |
| package

Initialise a new instance of PkzipClassicDecryptCryptoTransform.

Parameters

  keyBlock | The key block to decrypt with.

Here is the call graph for this function:

## Member Function Documentation

## ◆ Dispose()

void ICSharpCode.SharpZipLib.Encryption.PkzipClassicDecryptCryptoTransform.Dispose | ( |  | ) |

Cleanup internal state.

Here is the call graph for this function:

## ◆ TransformBlock()

int ICSharpCode.SharpZipLib.Encryption.PkzipClassicDecryptCryptoTransform.TransformBlock | ( | byte[] | inputBuffer,
|  | int | inputOffset,
|  | int | inputCount,
|  | byte[] | outputBuffer,
|  | int | outputOffset )

Transforms the specified region of the input byte array and copies the resulting transform to the specified region of the output byte array.

Parameters

  inputBuffer | The input for which to compute the transform.
  inputOffset | The offset into the input byte array from which to begin using data.
  inputCount | The number of bytes in the input byte array to use as data.
  outputBuffer | The output to which to write the transform.
  outputOffset | The offset into the output byte array from which to begin writing data.

Returns
  The number of bytes written.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ TransformFinalBlock()

byte[] ICSharpCode.SharpZipLib.Encryption.PkzipClassicDecryptCryptoTransform.TransformFinalBlock | ( | byte[] | inputBuffer,
|  | int | inputOffset,
|  | int | inputCount )

Transforms the specified region of the specified byte array.

Parameters

  inputBuffer | The input for which to compute the transform.
  inputOffset | The offset into the byte array from which to begin using data.
  inputCount | The number of bytes in the byte array to use as data.

Returns
  The computed transform.

Here is the call graph for this function:

## Property Documentation

## ◆ CanReuseTransform

bool ICSharpCode.SharpZipLib.Encryption.PkzipClassicDecryptCryptoTransform.CanReuseTransform
| get

Gets a value indicating whether the current transform can be reused.

## ◆ CanTransformMultipleBlocks

bool ICSharpCode.SharpZipLib.Encryption.PkzipClassicDecryptCryptoTransform.CanTransformMultipleBlocks
| get

Gets a value indicating whether multiple blocks can be transformed.

## ◆ InputBlockSize

int ICSharpCode.SharpZipLib.Encryption.PkzipClassicDecryptCryptoTransform.InputBlockSize
| get

Gets the size of the input data blocks in bytes.

## ◆ OutputBlockSize

int ICSharpCode.SharpZipLib.Encryption.PkzipClassicDecryptCryptoTransform.OutputBlockSize
| get

Gets the size of the output data blocks in bytes.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Encryption/PkzipClassic.cs